﻿
namespace BeeDevelopment.Raytracer {
	public interface IRayCollidable {
		/// <summary>Gets the collision points of a ray against a surface.</summary>
		/// <param name="ray">The ray to calculate a collisions for.</param>
		/// <returns>The collision points of the ray.</returns>
		Collision[] GetCollision(Ray ray);

		/// <summary>
		/// Gets whether a point is inside a surface or not.
		/// </summary>
		/// <param name="point">The point to check.</param>
		/// <returns>True if the point is inside a surface; false if it's outside.</returns>
		bool PointIsInside(Vector3 point);

		/// <summary>
		/// Gets the closest point on the surface to the specified one.
		/// </summary>
		/// <param name="point">The point to search for.</param>
		/// <returns>The closest point on the surface to the specified point.</returns>
		Vector3 GetClosestPoint(Vector3 point);
	}
}
