﻿
namespace BeeDevelopment.Raytracer.Lights {

	/// <summary>
	/// Represents a basic light.
	/// </summary>
	public class Light {

		/// <summary>
		/// Gets or sets the colour of the light.
		/// </summary>
		public Colour Colour { get; set; }

		/// <summary>
		/// Creates an instance of a <see cref="Light"/>.
		/// </summary>
		public Light() {
			this.Colour = Colour.White;
		}

		/// <summary>
		/// Creates an instance of a <see cref="Light"/>.
		/// </summary>
		/// <param name="colour">The colour of the light.</param>
		public Light(Colour colour) {
			this.Colour = colour;
		}

	}

}
