﻿
namespace BeeDevelopment.Raytracer.Lights {
	/// <summary>
	/// Represents a point light.
	/// </summary>
	public class PointLight : Light {

		/// <summary>
		/// Gets or sets the origin of the light.
		/// </summary>
		public Vector3 Origin { get; set; }

		/// <summary>
		/// Creates an instance of a <see cref="PointLight"/>.
		/// </summary>
		public PointLight(Vector3 origin)
			: base() {
			this.Origin = origin;
		}

		/// <summary>
		/// Creates an instance of a <see cref="PointLight"/>.
		/// </summary>
		public PointLight(Vector3 origin, Colour colour)
			: base(colour) {
			this.Origin = origin;
		}

	}
}
